Subject: Re: Funny: git -p submodule summary

From: Johannes Sixt <[email-masked]>
Date: Mon, 12 Jan 2009 13:19:10 +0100

Jeff King schrieb:
> On Mon, Jan 12, 2009 at 01:00:05PM +0100, Johannes Sixt wrote:
> 
>> Good question. The exit code is 0xc000013a if the signal was generated by
>> hitting Ctrl-C (tested with 'git --no-pager log'), but it is 3 if the
>> signal was "generated" by 'raise(SIGINT)'. The implementation of the
>> latter just calls _exit(3) (same for other deadly signals). Wow!
> 
> Eh? So it doesn't even run the signal handlers? Or if it is SIG_DFL
> (i.e., we have already run all the handlers), then it just calls _exit?

It's silly, but not *that* silly: It calls _exit(3) only if the handler is
SIG_DFL.

-- Hannes